/*
 * (C) Copyright 2011
 * CompuLab Ltd. <www.compulab.co.il>
 * Ilya Ledvich <ilya@compulab.co.il>
 * Igor Grinberg <grinberg@compulab.co.il>
 *
 * X-Loader common board structures, functions and definitions
 * for the CM-T3x board family.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	 See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc.
 */

#ifndef __CM_T3X_MUX_H__
#define __CM_T3X_MUX_H__

/* MUX helper macros */
#define MUX_VAL(OFFSET, VALUE)	\
	__raw_writew((VALUE), OMAP34XX_CTRL_BASE + (OFFSET))
#define CP(x)	(CONTROL_PADCONF_##x)

void set_sdrc_muxconf_regs(void);
void set_gpmc_muxconf_regs(void);
void set_jtag_muxconf_regs(void);

#endif /* __CM_T3X_MUX_H__ */
